Bug 340030 - Plugins can not be deactivated on non-English locales [patch]
Summary: Plugins can not be deactivated on non-English locales [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Plugins (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-16 19:07 UTC by Michael G. Hansen
Modified: 2019-01-04 10:18 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.5.0


Attachments
Patch for libkipi from Maik Qualmann (1.58 KB, patch)
2014-10-16 19:08 UTC, Michael G. Hansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael G. Hansen 2014-10-16 19:07:24 UTC
I received the attached patch from Maik Qualmann and submit it to the bugtracker because I do not have a system at hand to test the patch myself.

Description of the bug: Deactivated plugins are registered to digikamrc under the translated name, but are searched for under the original name, thus the deactivation setting is never applied.


Reproducible: Always
Comment 1 Michael G. Hansen 2014-10-16 19:08:20 UTC
Created attachment 89165 [details]
Patch for libkipi from Maik Qualmann
Comment 2 Michael G. Hansen 2014-10-16 19:09:19 UTC
Gilles,

can you test and apply the patch?

Best,

Michael
Comment 3 caulier.gilles 2014-10-16 21:28:54 UTC
Git commit 195bc2f26864cb79852a20cc6d1346ba236cff63 by Gilles Caulier.
Committed on 16/10/2014 at 21:27.
Pushed by cgilles into branch 'master'.

Apply patch #89165 to be able to turn on/off plugin from kipi host when application language is not English
Bump ABI/API id as library fingerprint as changed
FIXED-IN: 4.5.0

M  +14   -14   CMakeLists.txt
M  +2    -2    libkipi/configwidget.cpp
M  +1    -1    libkipi/configwidget.h
M  +1    -1    libkipi/configwidget_p.cpp
M  +6    -1    libkipi/pluginloader.cpp
M  +2    -1    libkipi/pluginloader.h

http://commits.kde.org/libkipi/195bc2f26864cb79852a20cc6d1346ba236cff63
Comment 4 km 2014-11-28 22:22:18 UTC
still doesn't work for me in 4.5.
Comment 5 caulier.gilles 2014-11-28 22:27:46 UTC
You need to update libkipi through KDE update, not digiKam

Gilles Caulier
Comment 6 Andreas Mair 2014-12-12 14:12:30 UTC
(In reply to Gilles Caulier from comment #5)
> You need to update libkipi through KDE update, not digiKam
> 
> Gilles Caulier

Hi,

I've updated to KDE 4.14.3 and digikam 4.5 now but it still doesn't work.
Which KDE version do I need?

Best regards,
Andreas
Comment 7 Andreas Mair 2014-12-15 11:49:17 UTC
OK, I'll answer myself:

I've taken a look at the sources and Gilles' commit didn't make it into KDE 4.14.3. Let's hope it will be in 4.14.4...

Best regards,
Andreas
Comment 8 Andreas Mair 2014-12-16 08:21:59 UTC
It's me again...

I've now looked into libkipi's GIT sources and the patch isn't included in KDE/4.14 branch.
I don't know if KDE 4.14.4 is planned at all, but in case it is, I'd suggest the patch has to be included in the KDE/4.14 branch.

Best regards,
Andreas
Comment 9 caulier.gilles 2014-12-16 08:35:55 UTC
As the patch add a new method and break ABI, this cannot be backport as well.

Patch still in git/master.

Gilles Caulier